<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-smilePay-shipping" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
      </div>



 
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-smilePay-shipping" class="form-horizontal">
          <div class="panel-heading">
            <h3 class="panel-title"><a data-toggle="collapse" data-parent="#group-general" href="#group-general-content"><?php echo $group_genernal; ?></a> </h3>
          </div>
      <!--dcvc  start-->
          <div class="form-group">
            <label class="col-sm-2 control-label"><?php echo $entry_dcvc; ?></label>
            <div class="col-sm-10">
              <input type="text" name="smilePay_shipping_b2cup_dcvc" value="<?php echo $smilePay_shipping_b2cup_dcvc; ?>"  id="input-cost" class="form-control" />    
              <?php if(isset($error_warning_dcvc))echo '<span style="color: red;">' . $error_warning_dcvc . '</span>';?>  
            </div>  
          </div>
      <!--dcvc end-->

      <!--rvg2c  start-->
          <div class="form-group">
            <label class="col-sm-2 control-label"><?php echo $entry_rvg2c; ?></label>
            <div class="col-sm-10">
              <input type="text" name="smilePay_shipping_b2cup_rvg2c" value="<?php echo $smilePay_shipping_b2cup_rvg2c; ?>"  id="input-cost" class="form-control" />    
              <?php if(isset($error_warning_rvg2c))echo '<span style="color: red;">' . $error_warning_rvg2c . '</span>';?>  
            </div>  
          </div>
      <!--rvg2c end-->

      <!--verifykey  start-->
          <div class="form-group">
            <label class="col-sm-2 control-label" ><?php echo $entry_verifykey; ?></label>
            <div class="col-sm-10">
              <input type="text" name="smilePay_shipping_b2cup_verifykey" value="<?php echo $smilePay_shipping_b2cup_verifykey; ?>" id="input-cost" class="form-control" />
              <?php if(isset($error_warning_verifykey))echo '<span style="color: red;">' . $error_warning_verifykey . '</span>';?>
              <span style="font-size: 15px;"><?php echo $entry_verifykey_description ?> </span>
            </div>  
          </div>
      <!--verifykey end-->

     
     <!--Geo zone start-->
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-geo-zone"><?php echo $entry_geo_zone; ?></label>
            <div class="col-sm-10">
              <select name="smilePay_shipping_b2cup_geo_zone_id" id="input-geo-zone" class="form-control">
                <option value="0"><?php echo $text_all_zones; ?></option>
                <?php foreach ($geo_zones as $geo_zone) { ?>
                <?php if ($geo_zone['geo_zone_id'] == $smilePay_shipping_b2cup_geo_zone_id) { ?>
                <option value="<?php echo $geo_zone['geo_zone_id']; ?>" selected="selected"><?php echo $geo_zone['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select>
            </div>
          </div>
       <!--Geo zone end-->
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
            <div class="col-sm-10">
              <select name="smilePay_shipping_b2cup_status" id="input-status" class="form-control">
                <?php if ($smilePay_shipping_b2cup_status) { ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                <?php } ?>
              </select>
            </div>
          </div>
      <!--sort-order start-->
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-sort-order"><?php echo $entry_sort_order; ?></label>
            <div class="col-sm-10">
              <input type="text" name="smilePay_shipping_b2cup_sort_order" value="<?php echo $smilePay_shipping_b2cup_sort_order; ?>" placeholder="<?php echo $entry_sort_order; ?>" id="input-sort-order" class="form-control" />
            </div>
          </div>
      <!--sort-order end-->
           
  
      <!--min price start-->
          <div class="form-group">
            <label class="col-sm-2 control-label" ><?php echo $entry_min_total_cost; ?></label>
            <div class="col-sm-10">
              <input type="text" name="smilePay_shipping_b2cup_min_total_cost" value="<?php echo $smilePay_shipping_b2cup_min_total_cost; ?>" id="input-min-total-cost" class="form-control" />
            </div>
          </div>
       <!--min price end-->
       <!--max price start-->
          <div class="form-group">
            <label class="col-sm-2 control-label" ><?php echo $entry_max_total_cost; ?></label>
            <div class="col-sm-10">
              <input type="text" name="smilePay_shipping_b2cup_max_total_cost" value="<?php echo $smilePay_shipping_b2cup_max_total_cost;?>"  id="input-max-total-cost"    class="form-control" />
                <?php if(isset($error_max_min_rule))echo '<span style="color: red;">' . $error_max_min_rule . '</span>';     ?>
            </div>
          </div>
      <!--max price end-->
       <!--free start-->
           <div class="form-group">
            <label class="col-sm-2 control-label" ><?php echo $entry_enough_free; ?></label>
            <div class="col-sm-10">
              <input type="text" name="smilePay_shipping_b2cup_free_cost" value="<?php echo $smilePay_shipping_b2cup_free_cost;?>" id="input-free-cost" class="form-control" />
            </div>
          </div>
        <!--free end-->
        <!--frontend title-->
           <div class="form-group">
            <label class="col-sm-2 control-label" ><?php echo $entry_frontend_title; ?></label>
            <div class="col-sm-10">
                <input type="text" name="smilePay_shipping_b2cup_frontend_title" value="<?php echo $smilePay_shipping_b2cup_frontend_title;?>" id="input-frontend-title" class="form-control" />
            </div>
          </div>
        <!--free end-->
      
        <!--group 711 start-->
            <div class="panel-body" id="group-711">
               <div class="panel-heading">
                    <h3 class="panel-title"> <a data-toggle="collapse" data-parent="#group-711" href="#group-711-content"><?php echo $group_711; ?></a></h3>
               </div>
               <div id="group-711-content" class="panel-collapse collapse in">
                   <!--711_enabled start-->
                   <div class="form-group">
                    <label class="col-sm-2 control-label" for="input-711-enabled"><?php echo $entry_711_enabled; ?></label>
                    <div class="col-sm-10">
                      <select name="smilePay_shipping_b2cup_711_enabled" id="input-711-enabled" class="form-control">
                        <?php if (isset($smilePay_shipping_b2cup_711_enabled)): ?>
                        <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                        <option value="0"><?php echo $text_disabled; ?></option>
                        <?php else: ?>
                        <option value="1"><?php echo $text_enabled; ?></option>
                        <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                        <?php endif; ?>
                      </select>
                    </div>
                  </div>
                   <!--711_enabled end-->

                  <!--711_cost start-->
                  <div class="form-group">
                    <label class="col-sm-2 control-label" for="input-711-cost"><?php echo $entry_711_cost ?></label>
                    <div class="col-sm-10">
                      <input type="text" name="smilePay_shipping_b2cup_cost" value="<?php echo $smilePay_shipping_b2cup_cost; ?>" placeholder="<?php echo $entry_711_cost; ?>" id="input-711-cost" class="form-control" />
                      <?php if (isset($error_711_cost)): ?><span style="color: red;"> <?php echo $error_711_cost; ?></span><?php endif; ?>
                      <span style="font-size: 15px;"><?php echo $entry_cost_note ?> </span>
                    </div>  
                  </div>
                  <!--711_cost end-->

                  <!--frontend 711 title-->
                  <div class="form-group">
                    <label class="col-sm-2 control-label" ><?php echo $entry_frontend_711_title; ?></label>
                    <div class="col-sm-10">
                        <input type="text" name="smilePay_shipping_b2cup_711_frontend_title" value="<?php echo $smilePay_shipping_b2cup_711_frontend_title; ?>" id="input-711-frontend-title" class="form-control" />
                    </div>
                  </div>
                  <!--frontend 711 title end-->
              </div>
            </div>
            <!--group 711 end-->
        
            
        </form>
      </div>
    </div>
  </div>
</div>
<?php echo $footer; ?> 