<?php
class ControllerPaymentSmilePayCredit extends Controller {
	public function index() {

		if(isset($this->session->data['smilepay_payment_runonce'])) 
            unset($this->session->data['smilepay_payment_runonce']); 
		$this->load->model('checkout/order');	
		$this->language->load('payment/smilepay_credit');
		
		$data['button_confirm'] = $this->language->get('button_confirm');		
		
		$order_info = $this->model_checkout_order->getOrder($this->session->data['order_id']);
		
		
		$data['action']  ='https://ssl.smse.com.tw/ezpos/mtmk_utf.asp';        		    
		$data['Dcvc']    =$this->config->get('smilepay_credit_dcvc'); 
		$data['Rvg2c']   =$this->config->get('smilepay_credit_rvg2c'); 
		//§~
		if (!empty($this->session->data['vouchers'])) {
			foreach ($this->session->data['vouchers'] as $voucher) {
				$data['Od_sob']  = 'vouchers-'.$voucher['to_name'];
			}
		}  

		//O   
		if($this->cart->hasProducts()){  
			foreach ($this->cart->getProducts() as $product) {
				$products = $product['quantity'] . '-' . $product['name'];
			}
			   $data['Od_sob'] =   mb_substr($products,0,15,'utf-8');
		}    	    	
    
		$data['Pay_zg']    = '1';//Iڤ覡
		$data['Data_id']   = $this->session->data['order_id']; //aۭqs    			
		//$amount = $this->currency->format($order_info['total'], $order_info['currency'], $order_info['value'], FALSE);
		$data['Amount']    =  intval(round($order_info['total']));
		$data['Pur_name']  =  $order_info['firstname'] . $order_info['lastname'];
		$data['Email']     =  $order_info['email'];
		$data['Address']   =  $order_info['shipping_postcode'].$order_info['shipping_address_1'];		
		$data['Tel_number']   =  $order_info['telephone'];		
		$data['Mobile_number']=  $order_info['fax'];		
		$data['Roturl']= $this->url->link('checkout/smilepay_credit_success', '', 'SSL');		
		$data['Verify_key']= $this->config->get('smilepay_credit_verifykey');
		$data['Pay_gdry']= 'TW';	
            	
        if(is_null($this->config->get('smilepay_credit_frontend_title')))
            $payment_title =  $this->language->get('text_payment');
        else
            $payment_title =  $this->config->get('smilepay_credit_frontend_title');

		$data['text_payment'] = $this->language->get('text_payment_title') ."<font color=red>" . $payment_title ."</font>";
		$data['text_instruction'] = $this->language->get('text_instruction');
		$data['text_description'] = $this->language->get('text_description');
		$data['text_total_title'] = $this->language->get('text_total_title');
		$data['text_total_desc'] = $this->language->get('text_total_desc'); 				
		$data['text_total_error'] = $this->language->get('text_total_error');
		$data['smilepay_credit_description'] = nl2br($this->config->get('smilepay_credit_description_' . $this->config->get('config_language_id')));
		$data['total'] = intval(round($order_info['total']));		
		$data['continue'] =$this->url->link('checkout/smilepay_credit_success');


      //----check 711b2cup start-------
        $data['text_emap'] = $this->language->get('text_emap');//"emap";
        $data['emap_url'] = $this->url->link('payment/smilepay_711b2cup/goemapwithparam');
        $data['order_id'] = $this->session->data['order_id'];

        $data['is_711b2cup'] = $this->load->controller('payment/smilepay_711b2cup/is_smilepay_711b2cup_now'); 
        $data['is_711b2cup'] ? $data['is_711b2cup']=1 : $data['is_711b2cup']=0; // for javascript check
        $data['is_for_one_page_checkout']= $this->load->controller('payment/smilepay_711b2cup/is_one_page_checkout_mode');  
     //----check 711b2cup end-------

		//$this->model_checkout_order->addOrderHistory($this->session->data['order_id'], $this->config->get('smilepay_credit_order_status_id'));
		/*
		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/payment/smilepay_credit.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/payment/smilepay_credit.tpl';
		} else {
			$this->template = 'default/template/payment/smilepay_credit.tpl';
		}	
		*/		
		/*if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/payment/smilepay_credit.tpl')) {
			return $this->load->view($this->config->get('config_template') . '/template/payment/smilepay_credit.tpl', $data);
		} else {
			return $this->load->view('default/template/payment/smilepay_credit.tpl', $data);
		}
		*/
		
			return $this->load->view('payment/smilepay_credit.tpl', $data);
		
		//$this->render(); 
	}
	
	public function confirm() {

            
         if($this->load->controller('payment/smilepay_711b2cup/is_smilepay_711b2cup_now') )
         {

              $json = $this->load->controller('payment/smilepay_711b2cup/validate_data',true);
             //$this->response->addHeader('Content-Type: application/json');
	         //$this->response->setOutput(json_encode($json));
             echo json_encode($json);

             if(isset($json['error']))
             {
                  exit;
             }
             
             error_reporting( 0); // aviod JSON format broken in product status.
         }
        $this->language->load('payment/smilepay_credit');
		$this->load->model('checkout/order');	

        $comment=$this->language->get('text_order_create');
        $this->model_checkout_order->addOrderHistory($this->session->data['order_id'], $this->config->get('smilepay_credit_order_status_id'),$comment);	
		/*$this->model_checkout_order->confirm($this->session->data['order_id'], 2);
		$this->model_checkout_order->update($this->session->data['order_id'], $this->config->get('smilepay_credit_order_status_id'), 'Loading', true); */   
	}
}
?>